import { categories } from './globals'

export function computeCategoriesTree (category) {
    const tree = [category]
    let parentId = category.parent
    while (parentId !== 0) {
        const parent = categories.find(cat => cat.id === parentId)
        tree.unshift(parent)
        parentId = parent.parent
    }
    return tree
}
